
From: Olaf Hering <olh@suse.de>

We need to update `offset' here so that the subsequent push_pad() (which
uses `offset') will do the right thing.



 usr/gen_init_cpio.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN usr/gen_init_cpio.c~cpio-offset-fix usr/gen_init_cpio.c
--- 25/usr/gen_init_cpio.c~cpio-offset-fix	2003-11-16 13:23:48.000000000 -0800
+++ 25-akpm/usr/gen_init_cpio.c	2003-11-16 13:24:06.000000000 -0800
@@ -197,6 +197,7 @@ void cpio_mkfile(const char *filename, c
 
 	for (i = 0; i < buf.st_size; ++i)
 		fputc(filebuf[i], stdout);
+	offset += buf.st_size;
 	close(file);
 	free(filebuf);
 	push_pad();

_
